<?php
/*
* @version      1.0.0 05.10.2017
* @author       MAXXmarketing GmbH
* @package      plg_product_label_cart
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die;

class plgJshoppingCheckoutProduct_label_cart extends JPlugin {
	
	private function _before_display(&$view){
		$jshopConfig = \JSFactory::getConfig();
		if (!$jshopConfig->admin_show_product_labels) {
			return;
		}
		$view_path      = \JPluginHelper::getLayoutPath($this->_type, $this->_name);
		$ouput_position = $this->params->get('ouput_position');
		foreach ($view->products as $i => $p) {
			$product = \JSFactory::getTable('product', 'jshop');
			$product->load($p['product_id']);
			if (!$product->product_id || !$product->label_id) {
				continue;
			}
			$label_image = \JSHelper::getNameImageLabel($product->label_id);
			$label_image = $label_image ? ($jshopConfig->image_labels_live_path . '/' . $label_image) : '';
			$label_name  = \JSHelper::getNameImageLabel($product->label_id, 2);
			ob_start();
			include $view_path;
			$view->products[$i][$ouput_position] .= trim(ob_get_clean());
		}
	}

	public function onBeforeDisplayCartView(&$view) {
		$this->_before_display($view);
	}
	
	public function onBeforeDisplayWishlistView(&$view) {
		$this->_before_display($view);
	}

}
